// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) StreakCoins() StreakCoins { return StreakCoins(t) }

type StreakCoins struct{ alias string }

func (t StreakCoins) TableAlias() string { return t.alias }
func (t StreakCoins) name() string       { return "StreakCoins" }
func (t StreakCoins) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t StreakCoins) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.StreakID(),
		c.CoinsCount(),
		c.EveryStreakCount(),
	}
}

func (t StreakCoins) Columns() StreakCoinsCols { return StreakCoinsCols{tableAlias: t.alias} }

type StreakCoinsCols struct{ tableAlias string }

func (c StreakCoinsCols) StreakID() string         { return colName(c.tableAlias, "StreakID") }         // STRING(36)
func (c StreakCoinsCols) CoinsCount() string       { return colName(c.tableAlias, "CoinsCount") }       // INT64 DEFAULT (1)
func (c StreakCoinsCols) EveryStreakCount() string { return colName(c.tableAlias, "EveryStreakCount") } // INT64 DEFAULT (1)
